Skip to main content
POST
Recommend photos for a property video

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

project_id
string<uuid>
required

Response

Return job state and recommended photo IDs in walkthrough order.

id
string<uuid>
required
read-only
project_real_estate
string<uuid>
required
read-only
status
enum<string>
required

Current job status.

  • queued - Queued
  • processing - Processing
  • expired - Expired
  • cancelled - Cancelled
  • completed - Completed
  • failed - Failed
Available options:
queued,
processing,
expired,
cancelled,
completed,
failed
count
integer
required
read-only

Recommended photo asset IDs in walkthrough order. No shots are created.

failures
object[]
required
read-only
is_finished
boolean
required
read-only
error_message
string
required
read-only

Error details if job failed.

created_at
string<date-time>
required
read-only

Datetime when the record was created.

updated_at
string<date-time>
required
read-only

Datetime when the record was last updated.

finished_at
string<date-time> | null
required
read-only

When the job processing successfully finished.